Debian Bug report logs - #494714
dpkg-dev - dpkg-genchanges should fold lines

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Bastian Blank <waldi@debian.org>

Date: Mon, 11 Aug 2008 17:15:01 UTC

Severity: normal

Tags: patch, pending

Found in version dpkg/1.14.20

Fixed in version dpkg/1.15.4

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#494714; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: dpkg-dev - dpkg-genchanges should fold lines
Date: Mon, 11 Aug 2008 19:13:07 +0200
[Message part 1 (text/plain, inline)]
Package: dpkg-dev
Version: 1.14.20
Severity: normal

dpkg-genchanges should fold lines in the output to a sane length. There
is a package in the archive (linux-modules-extra-2.6) which produces a
25k long Binary line, which is cropped by gpg during signing.

Bastian

-- 
War isn't a good life, but it's life.
		-- Kirk, "A Private Little War", stardate 4211.8
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#494714; Package dpkg-dev. (Fri, 15 May 2009 16:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 15 May 2009 16:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 494714@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Bastian Blank <waldi@debian.org>, 494714@bugs.debian.org
Cc: debian-devel@lists.debian.org, debian-policy@lists.debian.org
Subject: Re: Bug#494714: dpkg-dev - dpkg-genchanges should fold lines
Date: Fri, 15 May 2009 18:14:08 +0200
[Message part 1 (text/plain, inline)]
tag 494714 + patch
thanks

On Mon, 11 Aug 2008, Bastian Blank wrote:
> dpkg-genchanges should fold lines in the output to a sane length. There
> is a package in the archive (linux-modules-extra-2.6) which produces a
> 25k long Binary line, which is cropped by gpg during signing.

I guess we should do the same for the Binary: field in the .dsc in that
case. Why did you mention only the .changes ?

CCing -devel to have input about possible stuff that would break if the
Binary field is split over multiple lines. I have checked
dak/process_unchecked.py and it seems to handle correctly a Binary: field
split over multiple lines. But we have many other tools that parses
.dsc and .changes.

The Binary: field in .dsc is the one that has the biggest impact since
it's copied over in Sources files on mirrors and parsed by many custom
scripts. The one in .changes concerns fewer tools probably.

CCing -policy, do we need to update policy to allow Binary: fields
over multiple lines? Currently it only says that the fields are
comma-separated and space-separated. Does "space" include newlines
like in the usual \s perl regexp or not ? (comma can also be followed by
spaces so the same reasoning applies)
http://www.debian.org/doc/debian-policy/ch-controlfields.html#s-f-Binary

A first patch for dpkg-dev is attached but I'll refrain from committing it
until I received some more feedback.

Cheers,
-- 
Raphaël Hertzog

Contribuez à Debian et gagnez un cahier de l'admin Debian Lenny :
http://www.ouaza.com/wp/2009/03/02/contribuer-a-debian-gagner-un-livre/
[0001-dpkg-source-dpkg-genchanges-split-long-Binary-field-.patch (text/x-diff, attachment)]

Tags added: patch Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 15 May 2009 16:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#494714; Package dpkg-dev. (Fri, 15 May 2009 18:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 15 May 2009 18:24:02 GMT) Full text and rfc822 format available.

Message #17 received at 494714@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 494714@bugs.debian.org, debian-devel@lists.debian.org, debian-policy@lists.debian.org
Subject: Re: Bug#494714: dpkg-dev - dpkg-genchanges should fold lines
Date: Fri, 15 May 2009 11:23:29 -0700
Raphael Hertzog <hertzog@debian.org> writes:

> CCing -policy, do we need to update policy to allow Binary: fields
> over multiple lines?

Yes.  (But I certainly have no objections to doing so.)

> Currently it only says that the fields are comma-separated and
> space-separated. Does "space" include newlines like in the usual \s
> perl regexp or not ?

No.

This needs to be clarified in Policy in general, since it's been
confusing to people in several different contexts.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#494714; Package dpkg-dev. (Sat, 20 Jun 2009 23:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 20 Jun 2009 23:15:02 GMT) Full text and rfc822 format available.

Message #22 received at 494714@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Bastian Blank <waldi@debian.org>, 494714@bugs.debian.org, apt@packages.debian.org
Subject: Re: Bug#494714: dpkg-dev - dpkg-genchanges should fold lines
Date: Sun, 21 Jun 2009 01:13:26 +0200
On Fri, 15 May 2009, Raphael Hertzog wrote:
> On Mon, 11 Aug 2008, Bastian Blank wrote:
> > dpkg-genchanges should fold lines in the output to a sane length. There
> > is a package in the archive (linux-modules-extra-2.6) which produces a
> > 25k long Binary line, which is cropped by gpg during signing.
> 
> I guess we should do the same for the Binary: field in the .dsc in that
> case. Why did you mention only the .changes ?

Bastian, you did not reply to my question.

> CCing -devel to have input about possible stuff that would break if the
> Binary field is split over multiple lines. I have checked
> dak/process_unchecked.py and it seems to handle correctly a Binary: field
> split over multiple lines. But we have many other tools that parses
> .dsc and .changes.
> 
> The Binary: field in .dsc is the one that has the biggest impact since
> it's copied over in Sources files on mirrors and parsed by many custom
> scripts. The one in .changes concerns fewer tools probably.

Hello APT maintainers,

does APT work correctly if the Binary: field in Sources.gz (and .dsc)
spans over multiple lines? (and apt-ftparchive?)

> CCing -policy, do we need to update policy to allow Binary: fields
> over multiple lines?

Apparently yes, I filed #533852.

Cheers,
-- 
Raphaël Hertzog

Contribuez à Debian et gagnez un cahier de l'admin Debian Lenny :
http://www.ouaza.com/wp/2009/03/02/contribuer-a-debian-gagner-un-livre/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#494714; Package dpkg-dev. (Sun, 21 Jun 2009 08:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sun, 21 Jun 2009 08:21:06 GMT) Full text and rfc822 format available.

Message #27 received at 494714@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Bastian Blank <waldi@debian.org>, 494714@bugs.debian.org, apt@packages.debian.org
Subject: Re: Bug#494714: dpkg-dev - dpkg-genchanges should fold lines
Date: Sun, 21 Jun 2009 10:17:38 +0200
Raphael Hertzog <hertzog@debian.org> writes:

> On Fri, 15 May 2009, Raphael Hertzog wrote:
>> On Mon, 11 Aug 2008, Bastian Blank wrote:
>> > dpkg-genchanges should fold lines in the output to a sane length. There
>> > is a package in the archive (linux-modules-extra-2.6) which produces a
>> > 25k long Binary line, which is cropped by gpg during signing.

Does that mean signing changes the text? I would consider that a
serious bug in gpg.

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#494714; Package dpkg-dev. (Sun, 21 Jun 2009 08:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sun, 21 Jun 2009 08:27:06 GMT) Full text and rfc822 format available.

Message #32 received at 494714@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 494714@bugs.debian.org, apt@packages.debian.org
Subject: Re: Bug#494714: dpkg-dev - dpkg-genchanges should fold lines
Date: Sun, 21 Jun 2009 10:24:07 +0200
On Sun, Jun 21, 2009 at 01:13:26AM +0200, Raphael Hertzog wrote:
> On Fri, 15 May 2009, Raphael Hertzog wrote:
> > On Mon, 11 Aug 2008, Bastian Blank wrote:
> > > dpkg-genchanges should fold lines in the output to a sane length. There
> > > is a package in the archive (linux-modules-extra-2.6) which produces a
> > > 25k long Binary line, which is cropped by gpg during signing.
> > I guess we should do the same for the Binary: field in the .dsc in that
> > case. Why did you mention only the .changes ?

Because the changes file is used by dak to check if the upload is sane.
I never looked at the dsc files, because it does not matter. But you are
right, this should be done also.

> > CCing -policy, do we need to update policy to allow Binary: fields
> > over multiple lines?
> Apparently yes, I filed #533852.

It is common sense for changes files. sbuild folds them since a long
time to survive the e-mail transport.

Bastian

-- 
Either one of us, by himself, is expendable.  Both of us are not.
		-- Kirk, "The Devil in the Dark", stardate 3196.1




Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 16 Aug 2009 14:12:06 GMT) Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#494714. (Sun, 16 Aug 2009 14:12:11 GMT) Full text and rfc822 format available.

Message #37 received at 494714-submitter@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 494714-submitter@bugs.debian.org
Subject: Bug#494714 marked as pending
Date: Sun, 16 Aug 2009 14:10:49 +0000
tag 494714 pending
thanks

Hello,

Bug #494714 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=00b1d9d

---
commit 00b1d9dce71ff7b73ecba3b38d65c4a9ace7a9da
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Fri May 15 18:09:25 2009 +0200

    dpkg-source/dpkg-genchanges: split long Binary: field values

diff --git a/debian/changelog b/debian/changelog
index f712817..8d9e386 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -72,6 +72,8 @@ dpkg (1.15.4) UNRELEASED; urgency=low
       cputable (and so that a versioned build-dependency on dpkg-dev is enough
       to use this new feature)
     Closes: #531307
+  * Split overly long Binary: field values over multiple lines. This is
+    allowed since policy 3.8.3. Closes: #494714
 
   [ Modestas Vainius ]
   * Provide a meaningful label for dpkg-gensymbols diff.




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sun, 06 Sep 2009 08:51:24 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Sun, 06 Sep 2009 08:51:24 GMT) Full text and rfc822 format available.

Message #42 received at 494714-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 494714-close@bugs.debian.org
Subject: Bug#494714: fixed in dpkg 1.15.4
Date: Sun, 06 Sep 2009 08:00:40 +0000
Source: dpkg
Source-Version: 1.15.4

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.15.4_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.15.4_all.deb
dpkg_1.15.4.dsc
  to pool/main/d/dpkg/dpkg_1.15.4.dsc
dpkg_1.15.4.tar.gz
  to pool/main/d/dpkg/dpkg_1.15.4.tar.gz
dpkg_1.15.4_amd64.deb
  to pool/main/d/dpkg/dpkg_1.15.4_amd64.deb
dselect_1.15.4_amd64.deb
  to pool/main/d/dpkg/dselect_1.15.4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494714@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 06 Sep 2009 09:37:45 +0200
Source: dpkg
Binary: dpkg dpkg-dev dselect
Architecture: source amd64 all
Version: 1.15.4
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
Closes: 9771 33394 218018 373602 429262 455501 472208 494714 496114 523980 531307 535138 535327 535353 536538 536821 537558 537559 537741 537742 537800 540019 540382 541412 541829 542254 542254 542254 544037
Changes: 
 dpkg (1.15.4) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Call _g instead of g_ in dpkg-name.
   * Fix inverted logic when deciding to assume the architecture in dpkg-name
     when the package didn't have such field.
   * Do not take into account Revision and Package_Revision fields in dpkg-name
     and dpkg-scanpackages as they have been handled already by “dpkg-deb -I”.
   * Switch dpkg-scansources to use Dpkg::Cdata instead of duplicating the
     .dsc parsing code. As a side effect it now handles properly bogus files.
   * Do not remap obsolete fields in dpkg-scanpackages as they have been
     handled already by “dpkg-deb -I”.
   * Properly mark packages being purged for disappearance from the database.
     This will make the status database not be left behind with traces of old
     not-installed packages. Closes: #472208
   * On parse mark not-installed leftover packages for automatic removal from
     the database on next dump. This obsoletes the --forget-old-unavail option,
     thus making it now a no-op. Closes: #33394, #429262
   * Document “hold” under package selection states instead of flags in dpkg(1).
   * Remove trailing ‘/’ and ‘/.’ from the directory name to be used as the
     package name on “dpkg-deb -b”. Closes: #218018, #373602
   * Remove obsolete ‘hold’ and ‘hold-reinstreq’ internal status flags.
   * Add fakeroot to dpkg-dev Recommends. Closes: #536821
   * Fix an always false test when trying to decide which package to deselect
     to resolve a dependency problem in dselect.
   * Add uClibc Linux support to ostable and triplettable. Closes: #455501
   * Add uClinux support to ostable and triplettable.
     Thanks to Simon Richter <sjr@debian.org>.
   * When aborting due to file conflicts print the version of the conflicted
     package. Closes: #540019
   * Remove double slash in database path visible to the user in some error
     conditions.
   * Stop macthing sparc64-*-* GNU triplets with sparc Debian architecture.
   * Add support for config.d style directories in dpkg and dselect,
     (/etc/dpkg/dpkg.cfg.d and /etc/dpkg/dselect.cfg.d respectively).
   * Define DPKG_MAINTSCRIPT_ARCH on the maintainer script environment to the
     architecture the package got built for.
   * Document DPKG_MAINTSCRIPT_PACKAGE maintainer script environment variable
     in dpkg man page.
   * Document DPKG_RUNNING_VERSION maintainer script environment variable
     in dpkg man page.
   * Change po4a usage to not create unwated changes depending if doing out or
     in-tree builds.
   * Use po4a “--previous” support when updating the man pages.
     Suggested by Christian Perrier <bubulle@debian.org>.
   * On configuration error print file name and line number.
   * Allow quoting values in configuration file options.
   * Add new --pre-invoke and --post-invoke hooks in dpkg.
   * Add new --control-path command to dpkg-query.
   * Use ohshit on bad version syntax in --compare-versions.
   * Add Multi-Arch to the list of known binary package fields for dpkg-dev.
     Thanks to Steve Langasek <vorlon@debian.org>.
 .
   [ Raphael Hertzog ]
   * Replace install-info by a wrapper around GNU's install-info. The wrapper
     will be dropped in squeeze+1. dpkg now Breaks: old versions of
     info-browsers that do not depend on the new install-info package
     that provides the real functionality. Closes: #9771, #523980
     See http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo for details.
   * Fix dpkg's preinst in case /var/lib/dpkg/alternatives contains unexpected
     sub-directories. Closes: #535138
     And also when one of the file doesn't contain correct alternatives
     information (improper number of lines). Closes: #537558
   * Upgrade Standards-Version to 3.8.2 (no changes).
   * Update deb-substvars(5) to list fields that do not support substvars.
     Closes: #535353
   * Fix dpkg-parsechangelog to include all entries with -v0 parameter.
     Closes: #537800
   * Fix update-alternatives to mention the correct slave link that can't
     be installed due to a conflicting file instead of quoting the master link.
   * Add support for extra override file in dpkg-scanpackages. Thanks to Robert
     Millan for the patch. Closes: #537559
   * Add support for extra override file in dpkg-scansources.
   * Document format of extra override file in a new manual page
     deb-extra-override(5).
   * Update sample in dpkg-gensymbols(1) to give an accurate listing of
     64 bit arches. Thanks to Julien Cristau for the patch. Closes: #540382
   * Create /etc/cron.daily/dpkg to handle the backup of
     /var/lib/dpkg/status in /var/backups. This is taken out of the cron
     package and need no conflicts/breaks as the code does nothing if
     the current status file is already backupped. Thanks to Leo 'costela'
     Antunes <costela@debian.org> for the patch. Closes: #541412
   * Change behaviour of dpkg --merge-avail to not update a package's
     information if the version provided is older than the one already listed
     in the available file. Thanks to Ian Jackson
     <ian@davenant.greenend.org.uk> for the patch. Closes: #496114
   * dpkg-architecture can now export DEB_{HOST,BUILD}_ARCH_{BITS,ENDIAN}
     (pointer size and endianness):
     - cputable (in dpkg) modified to contain those information
     - dpkg-dev depends on dpkg (>= 1.15.4) to ensure that we have an updated
       cputable (and so that a versioned build-dependency on dpkg-dev is enough
       to use this new feature)
     Closes: #531307
   * Split overly long Binary: field values over multiple lines. This is
     allowed since policy 3.8.3. Closes: #494714
   * Improve performance of dpkg-shlibdeps by caching minimal version
     associated to each library in Dpkg::Shlib::SymbolFile. Thanks to
     Jiří Paleček <jpalecek@web.de> for the patch.
   * Slightly improve dpkg-source(1) by giving the section name that we're
     referring to. Closes: #544037
   * Fix translation error in german manpage of dpkg-buildpackage. Thanks
     to Joachim Breitner <nomeata@debian.org>. Closes: #541829
 .
   [ Modestas Vainius ]
   * Provide a meaningful label for dpkg-gensymbols diff.
 .
   [ Updated dpkg translations ]
   * Asturian (Marcos Alvarez Costales). Closes: #535327
   * French (Christian Perrier).
   * German (Sven Joachim).
   * Italian (Milo Casagrande). Closes: #536538
   * Russian (Yuri Kozlov). Closes: #542254
   * Slovak (Ivan Masár). Closes: #537742
   * Swedish (Peter Krefting).
 .
   [ Updated dselect translations ]
   * Russian (Yuri Kozlov). Closes: #542254
   * Slovak (Ivan Masár). Closes: #537741
 .
   [ Updated man page translations ]
   * French (Christian Perrier).
   * German (Helge Kreutzmann), proofread by Jens Seidel.
   * Swedish (Peter Krefting).
 .
   [ Updated scripts translations ]
   * French completed (Christian Perrier).
   * German (Helge Kreutzmann).
   * Russian (Yuri Kozlov). Closes: #542254
   * Swedish (Peter Krefting).
Checksums-Sha1: 
 f4e2addc34c72e3100d681b24a506903af379fe3 1211 dpkg_1.15.4.dsc
 732c4dd9cd848768b1dd270697738a84ca1baefd 7036109 dpkg_1.15.4.tar.gz
 8a1c1968e237e0261bdd26847ad3a1e9c39de696 2148332 dpkg_1.15.4_amd64.deb
 2745e187c2cb06bc448fa6ac1ae4a0f98778ef3d 704514 dselect_1.15.4_amd64.deb
 744fd0c7a3cf963a402feb5d1b49c75ba071c612 690158 dpkg-dev_1.15.4_all.deb
Checksums-Sha256: 
 b160b6bf831467169f1f0f7cfe9861f0a47d626e3b5c7376f949b057212369ff 1211 dpkg_1.15.4.dsc
 87cc8f29595e3b63f3c732bfc44b76e991114dbb6411ed82f50bf97b59716543 7036109 dpkg_1.15.4.tar.gz
 15829a1c012fba94629b4c69311c43cde03e9d5fede787c5b7983c073811719d 2148332 dpkg_1.15.4_amd64.deb
 e1d05fc002190f0637bdc7496a9e20a32171ca11a5433d8320e17194b67e6914 704514 dselect_1.15.4_amd64.deb
 295494e1cca00abc2d2a2379b27bba7a43bc1245c11ca485f4e5a93d5a5310c9 690158 dpkg-dev_1.15.4_all.deb
Files: 
 0058b0bdaa39f223792496a1617241bd 1211 admin required dpkg_1.15.4.dsc
 8fac722070803657a3123de6063ff9fd 7036109 admin required dpkg_1.15.4.tar.gz
 4b61f8b54d0d794f1a558406afcd48b2 2148332 admin required dpkg_1.15.4_amd64.deb
 16b87f9a5875fb12b3540c1f9864944c 704514 admin optional dselect_1.15.4_amd64.deb
 597f95e1e0ff2593f626a5a9ab46baa4 690158 utils optional dpkg-dev_1.15.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkqjaHIACgkQuW9ciZ2SjJveYQCdH6qgKuo0wyr/5l8AwnMbXfl3
OSgAnigix67WKpmov/RZ9DYxl+/BxDvP
=hJtk
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 16:28:47 GMT) Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#494714. (Mon, 19 Oct 2009 16:29:21 GMT) Full text and rfc822 format available.

Message #47 received at 494714-submitter@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 494714-submitter@bugs.debian.org
Subject: Bug#494714 marked as pending
Date: Mon, 19 Oct 2009 16:20:25 +0000
tag 494714 pending
thanks

Hello,

Bug #494714 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=00b1d9d

---
commit 00b1d9dce71ff7b73ecba3b38d65c4a9ace7a9da
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Fri May 15 18:09:25 2009 +0200

    dpkg-source/dpkg-genchanges: split long Binary: field values

diff --git a/debian/changelog b/debian/changelog
index f712817..8d9e386 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -72,6 +72,8 @@ dpkg (1.15.4) UNRELEASED; urgency=low
       cputable (and so that a versioned build-dependency on dpkg-dev is enough
       to use this new feature)
     Closes: #531307
+  * Split overly long Binary: field values over multiple lines. This is
+    allowed since policy 3.8.3. Closes: #494714
 
   [ Modestas Vainius ]
   * Provide a meaningful label for dpkg-gensymbols diff.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Nov 2009 07:28:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:39:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.